@import "variable";

.select__group-action {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

::ng-deep .ant-select-dropdown {
  border-bottom-left-radius: 16px;
  margin-top: 2px;
  padding: 0;
}

::ng-deep .ant-select-item {
  padding: 16.5px;
  border-bottom: 1px solid #f7f7fc;
}

::ng-deep .ant-select-item-option-disabled {
  cursor: auto;
}

::ng-deep .ant-checkbox-inner {
  border-color: #C2C9D1;
  border-width: 2px;
}

::ng-deep .ant-select-item-option-state {
  flex: none;
  display: none;
}

::ng-deep .ant-select-arrow .anticon.anticon-loading {
  color: $bg-primary-default;
  font-size: 18px;
}

.select__option-text {
  color: #4E4B66;
  font-size: 14px;
  margin-left: 10px;
}

.select__group {

  .input__label {
    color: #6E7191;
    font-size: 14px;
    font-family: avertaB, sans-serif;

    ::ng-deep .label__required {
      color: $bg-error-default;
    }
  }

  .select__message {
    font-size: 12px;
    margin-top: 8px;
    color: #6E7191;

    em {
      margin-right: 8px;
    }

    .text__message {
      font-family: avertaL, sans-serif;
    }
  }

  .select__message--warning {

    em, span {
      color: $bg-warning-default;
    }
  }

  .select__message--error {

    em, span {
      color: $bg-error-red;
    }
  }

  .select__message--success {

    em, span {
      color: $bg-success-default;
    }
  }
}

.select__group--icon {

  ::ng-deep .select__group--group {
    position: relative;
    margin-top: 4px;

    ::ng-deep .ant-select.select__select.include__icon .ant-select-selector {
      padding: 7px 0 7px 32px;
    }

    ::ng-deep .ant-select.select__select.no__icon .ant-select-selector {
      padding: 7px 0 7px 9px;
    }

    ::ng-deep .ant-select.select__select .ant-select-selector {
      border: 1px solid;
      border-radius: 8px;
    }

    ::ng-deep .ant-select.select__select--one .ant-select-selector {
      height: 44px;

      ::ng-deep .ant-select-selection-search-input {
        height: 44px;
      }
    }

    ::ng-deep .ant-select-focused:not(.ant-select-disabled).ant-select:not(.ant-select-customize-input) .ant-select-selector {
      box-shadow: none;
      //border-right-width: unset;
      outline: none;
    }

    ::ng-deep .ant-select.select__select .ant-select-selection-placeholder {
      //left: 32px;
      color: $bg-gray-placeholder;;
    }

    ::ng-deep .ant-select.select__select .ant-select-selection-search {
      margin-top: 0;
      margin-bottom: 0;
    }

    ::ng-deep > i {
      color: #4E4B66;
      font-size: 17px;
      position: absolute;
      top: 50%;
      left: 10px;
      z-index: 1;
      transform: translateY(-50%);
    }

  }

  ::ng-deep .select__group--group--default {

    ::ng-deep .ant-select.select__select .ant-select-selector {
      border-color: $bg-gray-line;

      &:hover, &:focus, &:active {
        border-color: $bg-primary-default;
      }
    }

    ::ng-deep .ant-select-focused:not(.ant-select-disabled).ant-select:not(.ant-select-customize-input) .ant-select-selector {
      border-color: $bg-primary-default;
    }
  }

  ::ng-deep .select__group--group--warning {

    ::ng-deep .ant-select.select__select .ant-select-selector {
      border-color: $bg-warning-default;

      &:hover, &:focus, &:active {
        border-color: $bg-warning-default;
      }
    }

    ::ng-deep .ant-select-focused:not(.ant-select-disabled).ant-select:not(.ant-select-customize-input) .ant-select-selector {
      border-color: $bg-warning-default;
    }
  }

  ::ng-deep .select__group--group--error {

    ::ng-deep .ant-select.select__select .ant-select-selector {
      border-color: $bg-error-red;

      &:hover, &:focus, &:active {
        border-color:$bg-error-red;
      }
    }

    ::ng-deep .ant-select-focused:not(.ant-select-disabled).ant-select:not(.ant-select-customize-input) .ant-select-selector {
      border-color: $bg-error-red;
    }
  }

  ::ng-deep .select__group--group--success {

    ::ng-deep .ant-select.select__select .ant-select-selector {
      border-color: $bg-success-default;

      &:hover, &:focus, &:active {
        border-color: $bg-success-default;
      }
    }

    ::ng-deep .ant-select-focused:not(.ant-select-disabled).ant-select:not(.ant-select-customize-input) .ant-select-selector {
      border-color: $bg-success-default;
    }
  }
}
